Bug 601 - documentation for functions is shown in a broken way
: documentation for functions is shown in a broken way
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs-nox)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-02-11 19:29 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-11 19:29:56
This issue concerns only emacs-nox. emacs-X11 displays the documentation
correctly in both terminal and X.
The same thing can be observed in emacs-nox-21.10-alt9.

Here is an example:

startt emacs-nox, and type C-h f set-mark RET, the terminal looks like this
(broken):

File Edit Options Buffers Tools Help
;; This buffer is for notes you don\'t want to save, and for Lisp evaluation.
;; If you want to create a file, visit that file with C-x C-f,
;; then enter the text in that file\'s own buffer.







--RR:---F1  *scratch*         (Text Fly
Fill)--L5--All--------------------------
set-mark is a compiled Lisp function in `simple\'.
(set-mark POS)

ts
place a different stretch of killed text.

With no argument, the previous kill is inserted.
With argument N, insert the Nth previous kill.
If N is negative, this is a more recent kill.

--RR:%%-F1  *Help*            (Help
View)--L1--Top------------------------------
Type C-x 1 to remove help window.  C-M-v to scroll the help.


How it should be (taken from emacs-X11):


File Edit Options Buffers Tools Help
;; This buffer is for notes you don\'t want to save, and for Lisp evaluation.
;; If you want to create a file, visit that file with C-x C-f,
;; then enter the text in that file\'s own buffer.







--RR:---F1  *scratch*         (Text Fly
Fill)--L5--All--------------------------
set-mark is a compiled Lisp function in `simple\'.
(set-mark POS)

Set this buffer\'s mark to POS.  Don\'t use this function!
That is to say, don\'t use this function unless you want
the user to see that the mark has moved, and you want the previous
mark position to be lost.

Normally, when a new mark is set, the old one should go on the stack.
This is why most applications should use push-mark, not set-mark.
--RR:%%-F1  *Help*            (Help
View)--L1--Top------------------------------
Type C-x 1 to remove help window.  C-M-v to scroll the help.

---
$ emacs-nox
C-h f set-mark (or set-keyboard-coding-system)

---
------- Comment #1 From 2002-02-28 23:43:18 -------
Fixed in emacs-21.1-alt11 by re-ordering and modifying actions at the %build
stage.
------- Comment #2 From 2002-02-28 23:43:18 -------
Fixed in emacs-21.1-alt11 by re-ordering and modifying actions at the %build
stage.